This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 108050 - System gives warning that 256MB is minumum supported when 256MB is already installed
System gives warning that 256MB is minumum supported when 256MB is already in...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
3.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-26 22:10 EST by Tom Sightler
Modified: 2014-03-16 22:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.31.7.EL-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-27 10:37:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Sightler 2003-10-26 22:10:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031023

Description of problem:
We have upgraded several of our smaller systems to ES 3.0 and during boot they
report that 256MB is the minimum supported configuration even though these
systems already have 256MB installed.

It appears that the redhat-support-check program does not take into account the
memory that is allocated to the kernel during boot and thus thinks these systems
have marginally less than 256MB.  For example on system produces the following
message:

WARNING: Red Hat Enterprise Linux ES release 3 (Taroon) requires at least 256MB
RAM to run as a supported configuration. (248MB detected)

and another produces:

WARNING: Red Hat Enterprise Linux ES release 3 (Taroon) requires at least 256MB
RAM to run as a supported configuration. (249MB detected)

However, both systems report the following in dmesg respectively:

255MB LOWMEM available.
...
Memory: 252480k/262136k available (1524k kernel code, 7228k reserved, 1086k
data, 164k init, 0k highmem)

255MB LOWMEM available.
...
Memory: 252228k/261888k available (1524k kernel code, 7228k reserved, 1086k
data, 164k init, 0k highmem)

So, either the error message is misleading and you need more than 256MB of
physical memory (perhaps 256MB + 8MB), or the program should relax it's check to
allow for memory that is allocated to the kernel, in either case I think that's
a bug.


Version-Release number of selected component (if applicable):
initscripts-7.31.6.EL-1

How reproducible:
Always

Steps to Reproduce:
1. Install ES3 on system with exactly 256MB physical RAM
2. Boot system and Warning will be generated
3. You can also run redhat-support-check to generate the Warning
    

Actual Results:  The following warning is generated:

WARNING: Red Hat Enterprise Linux ES release 3 (Taroon) requires at least 256MB
RAM to run as a supported configuration. (248MB detected)


Expected Results:  If 256MB of physical memory is the actual requirement then
there should be no warning on such systems.

If >256MB is required then the error message should indicate the actual amount
of physical RAM required for a supported configuration.

Additional info:
Comment 1 Jay Turner 2003-10-27 10:37:56 EST
Fix is confirmed with initscripts-7.31.7.EL-1 which should be released
in the first update.

Note You need to log in before you can comment on or make changes to this bug.